#========================================================================================
# package      DE_EPAGES::FacebookBusiness::API::Attributes::System
# state        private
# description  Implements the System attributes
#========================================================================================
package DE_EPAGES::FacebookBusiness::API::Attributes::System;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;
use feature 'switch';

sub getAttributes {
    shift;
    my ($Object, $aNames, $LanguageID) = @_;

    my %Values;
    foreach my $Name (@$aNames) {
        given($Name) {
            when( 'FacebookBusinessEnvironmentID' ) {
                $Values{$Name} = $Object->findChild('FacebookBusinessEnvironment');
            }
        }#given
    }

    return \%Values;
}

1;
